## scapy 2.2.0

=== doc/scapy/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

=== debian/changelog ===
scapy (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bug fix: "new upstream release 2.2 available", thanks to Michael
    Prokop (Closes: #618732).
  * Suggests python-pcapy, thanks to Jakub Wilk <jwilk@debian.org> (#589995).
  * Bug fix: "import scapy.layers.dot11 fails on kfreebsd-*", thanks to
    Christian Kastner (Closes: #589995). Patch by Jakub Wilk <jwilk@debian.org>
  * cdbs/dh_pysupport to dh7/dh_python2 migration.

 -- David Villa Alises <David.Villa@uclm.es>  Sun, 17 Jul 2011 13:08:38 +0200

scapy (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #570343)

 -- David Villa Alises <David.Villa@uclm.es>  Wed, 24 Feb 2010 12:43:23 +0100

scapy (2.0.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn
  [ Yves-Alexis Perez ]
  * new upstream release.
  * debian/control:
    - update standards version to 3.8.3.
    - add ${misc:Depends} to depends since we use debhelper.
  * debian/patches:
    - both patches refreshed for new upstream.
  [ David Villa ]
  * new upstream release (Closes: #485767)

 -- David Villa Alises <David.Villa@uclm.es>  Wed, 30 Sep 2009 17:27:46 +0200

scapy (2.0.0.5-1) unstable; urgency=low

  * New upstream release. Source taken from mercurial repository at
    http://hg.secdev.org/scapy (tag 'v2.0.0.5')

 -- David Villa Alises <David.Villa@uclm.es>  Sun, 17 Aug 2008 18:02:55 +0200

scapy (1.1.1-4) UNRELEASED; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Svn, Vcs-Browser and Homepage fields added

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

 -- Piotr Ożarowski <piotr@debian.org>  Sat,  6 Oct 2007 23:47:25 +0200

scapy (1.1.1-3) unstable; urgency=low

  * Upstream author made several important modificacions and bug
    fixes, but he does not create a new upstream resease. I include
    them as a patch in /debian/patches/scapy.py-upstream.patch

 -- David Villa Alises <David.Villa@uclm.es>  Fri, 07 Sep 2007 15:50:27 +0200

scapy (1.1.1-2) unstable; urgency=low

  * debian/control
    - XS-Python-Version: >= 2.4 (Closes: #426504)

 -- David Villa Alises <David.Villa@uclm.es>  Tue, 29 May 2007 11:03:49 +0200

scapy (1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Added Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
    - build-depends-indep to build-depends: python-all-dev, python-support
    - Changed Suggest: acroread to xpdf
  * debian/python-scapy.install
    - Changed to usr/lib/python2.*/site-packages/scapy.py (Closes: #421603)
  * debian/copyright:
    - Updated download location and author e-mail address
  * Thanks to Scott Kitterman <scott@kitterman.com> for his patch

 -- David Villa Alises <David.Villa@uclm.es>  Thu, 10 May 2007 09:53:49 +0200

scapy (1.0.5.20-1) unstable; urgency=low

  * New upstream release. (Closes: #407918)
  * Include revision number in debian version. (Closes: #407920)
  * Corrected copyright information. (Closes: #407916)
  * Repacked upstream tarball with latest upstream revision, and
    documented this in README.Debian.
  * Added watch file.
  * Bumped compat level to 5.
  * debian/rules: Switch to CDBS.
  * debian/control:
    - Added Suggest: imagemagick and graphviz, for graph stuff. (Closes: #408130)
    - Added Suggest: python-crypto, needed for decrypting WEP messages.
    - Added Suggest: acroread, gv. (for psdump() and pdfdump())
    - Added Suggest: sox (for VOIP stuff)
    - Added Suggest: python-visual (for trace3D())
  * Removed outdated file `scapy.html'.
  * Thanks to Marcus Better <marcus@better.se> for his unrelesed version.

 -- David Villa Alises <David.Villa@uclm.es>  Sun,  4 Feb 2007 16:56:03 +0100

scapy (1.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Updated to new python policy. Thanks to Francisco Moya
    <francisco.moya@uclm.es> (Closes: #397958).
  * debian/control:
    - Binary package name changes according to Python Policy (Section 2.2)
    - Added dummy transitional package to provide an upgrade path from scapy.

 -- David Villa Alises <David.Villa@uclm.es>  Tue,  2 Jan 2007 16:26:35 +0100

scapy (1.0.4-1) unstable; urgency=low

  * New maintainer, with permission of previous maintainer
  * New upstream release (Closes: #362655)
  * Lets use scapy as library (Closes: #270267)
  * debian/control
    - Added Suggests: tcpdump

 -- David Villa Alises <David.Villa@uclm.es>  Fri, 14 Apr 2006 22:35:29 +0200

scapy (1.0.2-1) unstable; urgency=low

  * New upstream release (Closes: #346271)
  * debian/control:
    - Changed Depends on python2.3 to python.
    - Bumped Standards-Version to 3.6.1. No change.
    - Added Suggests: python-gnuplot, python-pyx, ebtables

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat,  7 Jan 2006 14:40:04 +0100

scapy (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #322329)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 28 Aug 2005 15:06:00 +0200

scapy (0.9.17-1) unstable; urgency=low

  * New upstream release
  * Modified scapy.py to point to the correct location of p0f.fp.
    (Closes: #289397)
  * Changed maintainer email address.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 17 Jan 2005 20:09:47 +0100

scapy (0.9.15-2) unstable; urgency=low

  * Added postrm to get rid of scapy.pyc on package removal.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Thu, 16 Oct 2003 17:06:01 +0200

scapy (0.9.15-1) unstable; urgency=low

  * New upstream release
  * Moved to debhelper compatability 4. Created debian/compat.
  * Bumped Standards-Version to 3.6.1. No change.
  * Changed Depends on python2.2 to python2.3

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Thu, 16 Oct 2003 16:52:39 +0200

scapy (0.9.14-1) unstable; urgency=low

  * New upstream version. (Closes: #198879)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Thu, 26 Jun 2003 19:04:38 +0200

scapy (0.9.12-1) unstable; urgency=low

  * Initial Release. (Closes: #192169)



=== debian/control ===
Source: scapy
Section: python
Priority: optional
Maintainer: David Villa Alises <David.Villa@uclm.es>
Uploaders: Francisco Moya <paco@debian.org>
Build-Depends: debhelper (>= 7), python (>=2.6.6-3~), quilt
Standards-Version: 3.9.2
Homepage: http://www.secdev.org/projects/scapy/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/scapy/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/scapy/trunk/

Package: python-scapy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: tcpdump, tcpreplay, wireshark, graphviz, imagemagick, python-gnuplot,
 python-crypto, python-pyx, ebtables, python-visual, sox, xpdf, gv, hexer,
 librsvg2-bin, python-pcapy
Replaces: scapy (<< 1.0.5-1)
Conflicts: scapy (<< 1.0.5-1)
Provides: scapy
Description: Packet generator/sniffer and network scanner/discovery
 Scapy is a powerful interactive packet manipulation tool, packet
 generator, network scanner, network discovery, packet sniffer, etc. It
 can for the moment replace hping, 85% of nmap, arpspoof, arp-sk, arping,
 tcpdump, tethereal, p0f, ....
 .
 In scapy you define a set of packets, then it sends them, receives
 answers, matches requests with answers and returns a list of packet couples
 (request, answer) and a list of unmatched packets. This has the big advantage
 over tools like nmap or hping that an answer is not reduced to
 (open/closed/filtered), but is the whole packet.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/class/python-distutils.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
#
# DEB_DH_INSTALL_SOURCEDIR := debian/tmp

%:
	dh $@ --with=python2 --with=quilt


get-orig:
	uscan --download-current-version --destdir ../tarballs

=== debian/watch ===
version=3
http://www.secdev.org/projects/scapy/files/scapy-([\d\.]+)\.tar\.gz

## scapy 2.3.2

=== debian/changelog ===
scapy (2.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #773554)
  * debian/control:
   - Added dh-python to Build-Depends

 -- Iain R. Learmonth <irl@debian.org>  Fri, 29 Apr 2016 11:30:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: David Villa Alises <David.Villa@uclm.es>
 Uploaders: Francisco Moya <paco@debian.org>
-Build-Depends: debhelper (>= 7), python (>=2.6.6-3~), quilt
+Build-Depends: debhelper (>= 7), dh-python, python (>=2.6.6-3~), quilt
 Standards-Version: 3.9.2
 Homepage: http://www.secdev.org/projects/scapy/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/scapy/trunk/

## scapy 2.3.3

=== debian/changelog ===
scapy (2.3.3-3) unstable; urgency=medium

  * Do not output trailing newline generating version number

 -- Iain R. Learmonth <irl@debian.org>  Sat, 16 Sep 2017 06:28:53 +0100

scapy (2.3.3-2) unstable; urgency=medium

  [ Hilko Bengen ]
  * fix unreliable generation of scapy.VERSION at build time

 -- Iain R. Learmonth <irl@debian.org>  Sat, 16 Sep 2017 06:19:55 +0100

scapy (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
  * debian/control:
   - Maintainer set to the Internet Measurement Packaging Team (Closes: #833724)
   - Uploaders set to myself
   - Removed unnecessary versioned Build-Depends for python
   - Packaging is now using Git
    · Repository created under the Internet Measurement Packaging Team
    · Vcs-Git and Vcs-Browser fields have been updated
   - Updated standards version to 3.9.8
   - Replaced Conflicts with Breaks as it makes more sense here for installing
     over a (very) old version of the package
  * Bumped compat level to 9
  * debian/README.source:
   - Added a note to point to src:scapy3k
   - Added a note regarding the use of quilt
  * debian/patches:
   - Patches refreshed.
   - Patch for paths now corrects the location of Wireshark's manuf file
     (Closes: #692408)
  * debian/rules:
   - Clean up the stray scapy/VERSION file that gets generated when cleaning
     the source tree

 -- Iain R. Learmonth <irl@debian.org>  Sat, 03 Dec 2016 19:00:36 +0000

=== debian/control ===
Source: scapy
Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               quilt
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/scapy.git
Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/scapy.git
Homepage: http://www.secdev.org/projects/scapy/

Package: python-scapy
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Suggests: tcpdump,
          tcpreplay,
          wireshark,
          graphviz,
          imagemagick,
          python-gnuplot,
          python-crypto,
          python-pyx,
          ebtables,
          python-visual,
          sox,
          xpdf,
          gv,
          hexer,
          librsvg2-bin,
          python-pcapy
Provides: scapy
Breaks: scapy (<< 1.0.5-1)
Replaces: scapy (<< 1.0.5-1)
Description: Packet generator/sniffer and network scanner/discovery
 Scapy is a powerful interactive packet manipulation tool, packet
 generator, network scanner, network discovery, packet sniffer, etc. It
 can for the moment replace hping, 85% of nmap, arpspoof, arp-sk, arping,
 tcpdump, tethereal, p0f, ....
 .
 In scapy you define a set of packets, then it sends them, receives
 answers, matches requests with answers and returns a list of packet couples
 (request, answer) and a list of unmatched packets. This has the big advantage
 over tools like nmap or hping that an answer is not reduced to
 (open/closed/filtered), but is the whole packet.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with=python2 --with=quilt

override_dh_auto_configure:
	echo -n $(DEB_VERSION_UPSTREAM) > scapy/VERSION

override_dh_auto_clean:
	dh_auto_clean
	-rm scapy/VERSION

get-orig:
	uscan --download-current-version --destdir ../tarballs

## scapy 2.4.0

=== debian/changelog ===
scapy (2.4.0-2) unstable; urgency=medium

  * Use pybuild for Python 2 and 3 packages (Closes: #889938, #889939)
  * Removes get-orig target from rules

 -- Iain R. Learmonth <irl@debian.org>  Thu, 07 Jun 2018 22:09:24 +0100

scapy (2.4.0-1) unstable; urgency=medium

  [ Ana Custura ]
  * Adds python-geoip to sugested packages as it is used to perform geotraces

  [ Iain R. Learmonth ]
  * New upstream version 2.4.0
  * debian/control:
   - Use debhelper 11
   - Update standards version to 4.1.4
   - Remove explicit Build-Depends on quilt (no longer required)
   - Update Vcs-* fields to point to salsa repository from deprecated
     Alioth repository
   - Updates homepage to GitHub location
  * debian/patches:
   - Refresh paths.patch:
     The only path now overridden is for tcpdump, which is found in /usr/sbin
     and so is not in the typical user's path.
   - Removes fix-version.patch:
     This functionality is now incorporated upstream.

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 07 May 2018 12:37:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Iain R. Learmonth <irl@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               python,
-               quilt
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/scapy.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/scapy.git
-Homepage: http://www.secdev.org/projects/scapy/
+               python-all,
+               python3-all,
+               python3-distutils
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/ineteng-team/scapy
+Vcs-Git: https://salsa.debian.org/ineteng-team/scapy.git
+Homepage: https://github.com/secdev/scapy
 
 Package: python-scapy
 Architecture: all
@@ -31,11 +32,12 @@
           gv,
           hexer,
           librsvg2-bin,
-          python-pcapy
+          python-pcapy,
+          python-geoip
 Provides: scapy
 Breaks: scapy (<< 1.0.5-1)
 Replaces: scapy (<< 1.0.5-1)
-Description: Packet generator/sniffer and network scanner/discovery
+Description: Packet generator/sniffer and network scanner/discovery (Python 2)
  Scapy is a powerful interactive packet manipulation tool, packet
  generator, network scanner, network discovery, packet sniffer, etc. It
  can for the moment replace hping, 85% of nmap, arpspoof, arp-sk, arping,
@@ -46,3 +48,38 @@
  (request, answer) and a list of unmatched packets. This has the big advantage
  over tools like nmap or hping that an answer is not reduced to
  (open/closed/filtered), but is the whole packet.
+ .
+ This package contains the Python 2 version of the library and scapy executable.
+
+Package: python3-scapy
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends}
+Recommends: tcpdump,
+            ipython3,
+            python3-matplotlib,
+            python3-pyx,
+            graphviz
+Suggests: tcpreplay,
+          wireshark,
+          imagemagick,
+          python3-crypto,
+          ebtables,
+          sox,
+          gv,
+          hexer,
+          librsvg2-bin,
+          python3-geoip
+Description: Packet generator/sniffer and network scanner/discovery (Python 3)
+ Scapy is a powerful interactive packet manipulation tool, packet
+ generator, network scanner, network discovery, packet sniffer, etc. It
+ can for the moment replace hping, 85% of nmap, arpspoof, arp-sk, arping,
+ tcpdump, tethereal, p0f, ....
+ .
+ In scapy you define a set of packets, then it sends them, receives
+ answers, matches requests with answers and returns a list of packet couples
+ (request, answer) and a list of unmatched packets. This has the big advantage
+ over tools like nmap or hping that an answer is not reduced to
+ (open/closed/filtered), but is the whole packet.
+ .
+ This package contains the Python 3 version of the library and scapy executable.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=scapy

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	echo -n $(DEB_VERSION_UPSTREAM) > scapy/VERSION

override_dh_auto_clean:
	dh_auto_clean
	-rm scapy/VERSION

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-scapy/usr/bin/scapy \
	   debian/python3-scapy/usr/bin/scapy3
	mv debian/python3-scapy/usr/share/man/man1/scapy.1.gz \
	   debian/python3-scapy/usr/share/man/man1/scapy3.1.gz

override_dh_auto_test:
	echo "Tests disabled, dependencies not installed during build"

## scapy 2.4.0.1

=== debian/changelog ===
scapy (2.4.0.1-1+dde) unstable; urgency=medium

  * update

 -- Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>  Thu, 10 Jun 2021 19:21:35 +0800

## scapy 2.4.2

=== debian/changelog ===
scapy (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * d/rules:
    - Use pybuild for Python 2 and 3 packages
    - Update man page filename
    - Removed get-orig target from rules
  * d/patches:
    - Refreshed patches

 -- Iain R. Learmonth <irl@debian.org>  Tue, 16 Jul 2019 18:37:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-python,
-               python-all,
+               python,
                python3-all,
                python3-distutils
 Standards-Version: 4.1.4

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 	dh_auto_install
 	mv debian/python3-scapy/usr/bin/scapy \
 	   debian/python3-scapy/usr/bin/scapy3
-	mv debian/python3-scapy/usr/share/man/man1/scapy.1.gz \
-	   debian/python3-scapy/usr/share/man/man1/scapy3.1.gz
+	mv debian/python3-scapy/usr/share/man/man1/scapy.1 \
+	   debian/python3-scapy/usr/share/man/man1/scapy3.1
 
 override_dh_auto_test:
 	echo "Tests disabled, dependencies not installed during build"

## scapy 2.4.3

=== debian/changelog ===
scapy (2.4.3-4) unstable; urgency=medium

  * Drop python2 support; Closes: #938439, #936054
  * debian/control
    - update Vcs fields to point to pkg-security-team

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Mar 2020 20:22:54 -0400

scapy (2.4.3-3) unstable; urgency=medium

  * Take over package in pkg-security team.
  * Restore python2 package as we still have reverse dependencies.
    Keep /usr/bin/scapy in python3-scapy however. Let python-scapy
    provide /usr/bin/scapy2 temporarily. Add appropriate breaks/replaces
    forcing joint upgrade of both packages.
  * Switch to debhelper compat level 12
  * Add symlink for scapy3 manual page too
  * Add a small patch for python 2 compatibility.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Sep 2019 15:45:25 +0200

scapy (2.4.3-2) unstable; urgency=medium

  * d/control:
    - Drops Breaks from python3-scapy for python-scapy (Closes: #940699)

 -- Iain R. Learmonth <irl@debian.org>  Thu, 19 Sep 2019 09:51:19 +0100

scapy (2.4.3-1) unstable; urgency=medium

  [ Gabriel Potter ]

  * New upstream version 2.4.3 (Closes: #929032)
  * debian/control:
   - Updates suggested and recommended packages (Closes: #907235, #939403)
   - Update standards version to 4.4.0
  * debian/patches:
   - Refresh paths.patch and setup.py.patch

  [ Iain R. Learmonth ]

  * Drop the Python 2 package (Closes: #938439)
  * The scapy executable is now provided by the Python 3 package

 -- Iain R. Learmonth <irl@debian.org>  Tue, 10 Sep 2019 18:10:37 +0100

=== debian/control ===
Source: scapy
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/pkg-security-team/scapy
Vcs-Git: https://salsa.debian.org/pkg-security-team/scapy.git
Homepage: https://github.com/secdev/scapy

Package: python3-scapy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Breaks: python-scapy (<< 2.4.3-3~)
Replaces: python-scapy (<< 2.4.3-3~)
Recommends: ipython3, python3-cryptography, tcpdump
Suggests: graphviz, python3-matplotlib, python3-pyx, sox, tcpreplay, wireshark
Provides: scapy
Description: Packet generator/sniffer and network scanner/discovery (Python 3)
 Scapy is a powerful interactive packet manipulation tool, packet
 generator, network scanner, network discovery, packet sniffer, etc. It
 can for the moment replace hping, 85% of nmap, arpspoof, arp-sk, arping,
 tcpdump, tethereal, p0f, ....
 .
 In scapy you define a set of packets, then it sends them, receives
 answers, matches requests with answers and returns a list of packet couples
 (request, answer) and a list of unmatched packets. This has the big advantage
 over tools like nmap or hping that an answer is not reduced to
 (open/closed/filtered), but is the whole packet.
 .
 This package contains the Python 3 version of the library and scapy executable.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=scapy

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_configure:
	echo -n $(DEB_VERSION_UPSTREAM) > scapy/VERSION

override_dh_auto_clean:
	dh_auto_clean
	-rm scapy/VERSION

override_dh_auto_test:
	echo "Tests disabled, dependencies not installed during build"

## scapy 2.4.4

=== debian/changelog ===
scapy (2.4.4-4) unstable; urgency=medium

  * Team upload.

  [ Romain Francoise ]
  * Drop debian/patches/use-absolute-paths.patch (#979338)
  * debian/tests/control: version dependency on tcpdump
  * Cherry-pick upstream commit 42d58d8729 to fix pipetool test
    (and thus fix autopkgtest too)

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Jan 2021 11:40:10 +0100

scapy (2.4.4-3) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.5.1
  * Switch to debhelper compat level 13

  [ Sophie Brun ]
  * Add a patch to fix find_library with Python 3.9 (Closes: #973171)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Dec 2020 11:46:53 +0100

scapy (2.4.4-2) unstable; urgency=medium

  * Add support for Python 3.9 (Closes: #975519)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 23 Nov 2020 12:08:20 +0100

scapy (2.4.4-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Add Salsa's CI configuration file
  * Configure git-buildpackage for Debian

  [ Sophie Brun ]
  * New upstream version 2.4.4
  * Refresh patches
  * Bump Standards-Version to 4.5.0 (no changes)
  * Update Homepage
  * Use new format for debian/copyright
  * Build and install docs (Closes: #773683)
  * Add information about test
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Sep 2020 10:24:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-setuptools
+ python3-setuptools,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+ tox,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/scapy
 Vcs-Git: https://salsa.debian.org/pkg-security-team/scapy.git
-Homepage: https://github.com/secdev/scapy
+Homepage: https://scapy.net/
 
 Package: python3-scapy
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
 Breaks: python-scapy (<< 2.4.3-3~)
 Replaces: python-scapy (<< 2.4.3-3~)
 Recommends: ipython3, python3-cryptography, tcpdump

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=scapy


%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	echo -n $(DEB_VERSION_UPSTREAM) > scapy/VERSION

override_dh_auto_clean:
	dh_auto_clean
	-rm scapy/VERSION

override_dh_auto_test:
	# disable tests: they required network
	echo "Tests disabled"

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/scapy build/html

=== debian/tests/control ===
Test-Command: debian/tests/upstream-test.sh nonroot_linux test_install_python3
Depends: @,  python3-brotli, python3-cryptography, python3-mock, tcpdump (>> 4.99.0), tcpreplay, tshark, python3-can, kmod, openssl
Restrictions: allow-stderr, needs-internet

# Too many tests fail
#Test-Command: debian/tests/upstream-test.sh root_linux
#Depends: @,  python3-brotli, python3-cryptography, python3-mock, tcpdump, tcpreplay, tshark, python3-can, kmod, openssl, iproute2, net-tools, ca-certificates
#Restrictions: allow-stderr, needs-root, needs-internet

=== debian/watch ===
version=3
https://github.com/secdev/scapy/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## scapy 2.4.5+g9420c22

=== debian/changelog ===
scapy (2.4.5+g9420c22-2) unstable; urgency=medium

  * Team upload.
  * Source only upload of new binary pkg
  * Update Standards Version (no changes)

 -- Neil Williams <codehelp@debian.org>  Fri, 19 Aug 2022 08:23:54 +0100

scapy (2.4.5+g9420c22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, adding changes from commit 9420c22 to 2.4.5
    to fix licensing mistake in previous releases.
  * Split out documentation into a separate package.
  * Drop use of upstream unit tests in autopkgtest due to flaky results
    (Closes: #1012438)
  * Drop patches included upstream. (Closes: #589995) (Closes: #594261)
  * Update d.copyright

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Aug 2022 10:23:25 +0100

scapy (2.4.4-5) unstable; urgency=medium

  * Team upload.
  * Lintian brush updates
  * Fix d.watch file
  * Add can-utils package to autopkgtest dependencies. (Closes: #1014488)
  * Add the basic Python autopkgtest
  * Freshen existing patches

 -- Neil Williams <codehelp@debian.org>  Tue, 09 Aug 2022 13:11:48 +0100

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,19 @@
  python3-sphinx-rtd-theme,
  tox,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/scapy
 Vcs-Git: https://salsa.debian.org/pkg-security-team/scapy.git
 Homepage: https://scapy.net/
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-scapy
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Breaks: python-scapy (<< 2.4.3-3~)
 Replaces: python-scapy (<< 2.4.3-3~)
 Recommends: ipython3, python3-cryptography, tcpdump
-Suggests: graphviz, python3-matplotlib, python3-pyx, sox, tcpreplay, wireshark
+Suggests: python-scapy-doc, graphviz, python3-matplotlib, python3-pyx, sox, tcpreplay, wireshark
 Provides: scapy
 Description: Packet generator/sniffer and network scanner/discovery (Python 3)
  Scapy is a powerful interactive packet manipulation tool, packet
@@ -38,3 +39,22 @@
  (open/closed/filtered), but is the whole packet.
  .
  This package contains the Python 3 version of the library and scapy executable.
+
+Package: python-scapy-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
+Description: Packet generator/sniffer and network scanner/discovery (Documentation)
+ Scapy is a powerful interactive packet manipulation tool, packet
+ generator, network scanner, network discovery, packet sniffer, etc. It
+ can for the moment replace hping, 85% of nmap, arpspoof, arp-sk, arping,
+ tcpdump, tethereal, p0f, ....
+ .
+ In scapy you define a set of packets, then it sends them, receives
+ answers, matches requests with answers and returns a list of packet couples
+ (request, answer) and a list of unmatched packets. This has the big advantage
+ over tools like nmap or hping that an answer is not reduced to
+ (open/closed/filtered), but is the whole packet.
+ .
+ This is the documentation package.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	-rm scapy/VERSION
+	$(RM) -r scapy/VERSION .tox scapy.egg-info doc/scapy/api/
 
 override_dh_auto_test:
 	# disable tests: they required network
@@ -23,3 +23,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/scapy build/html
+
+execute_after_dh_sphinxdoc:
+	$(RM) ./debian/python-scapy-doc/usr/share/doc/python-scapy-doc/html/searchindex.js
+	$(RM) ./debian/python-scapy-doc/usr/share/doc/python-scapy-doc/html/objects.inv

=== debian/watch ===
version=4
https://github.com/secdev/scapy/releases .*/archive/refs/tags/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## scapy 2.5.0+dfsg

=== debian/changelog ===
scapy (2.5.0+dfsg-2ubuntu1) noble; urgency=medium

  * Change libpcap0.8 to libpcap0.8t64 in Recommends and autopkgtest
    dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 12:05:16 +0100

scapy (2.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches/fix-endianness-in-utf-16-encoding.patch: remove patch.
  * debian/tests/control: disable tests in 32 bits and big endian archs
    (closes: #1030602).

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Thu, 09 Feb 2023 19:34:45 -0300

scapy (2.5.0+dfsg-2~exp1) experimental; urgency=medium

  * Team upload.
  * debian/patches/:
      - Remove-resource-heavy-ISOTP-test.patch: add to fix autopkgtest in 32
        bits architectures.
      - fix-endianness-in-utf-16-encoding.patch: add to fix tests in s390x
        architecture.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Tue, 31 Jan 2023 16:27:18 -0300

scapy (2.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.0+dfsg. (Closes: #1027183)
  * Remove python-scapy-doc binary package due to DFSG infringement.
  * Run wrap-and-sort.
  * debian/control:
      - Add libpcap0.8 to Recommends.
      - Add netbase to Depends.
      - Bump Standards-Version to 4.6.2 - no changes needed.
      - Move tcpdump from Recommends to Suggests.
      - Remove python-scapy-doc stanza and sphinx related packages
        from Build-Depends.
  * debian/copyright: full update.
  * debian/dirs: remove - not needed anymore.
  * debian/lintian-overrides: override lintian hits.
  * debian/patches/:
      - Remove-privacy-breach-in-doc.patch: remove. Merged upstream.
      - fix-typo-in-manpage.patch: add to fix typo.
      - remove-UTscapy-script.patch: remove. Merged upstream.
      - remove-failing-tests.patch: add to remove failing tests from
        upstream.
  * debian/python-scapy-doc.doc-base: remove.
  * debian/python-scapy-doc.docs: remove.
  * debian/rules: remove documentation/sphinx related rules.
  * debian/tests/*: add upstream testing, but only a reduced set.
  * debian/watch: update to use github api.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Wed, 25 Jan 2023 19:01:55 -0300

=== debian/control ===
Source: scapy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               tox
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/pkg-security-team/scapy
Vcs-Git: https://salsa.debian.org/pkg-security-team/scapy.git
Homepage: https://scapy.net/
Testsuite: autopkgtest-pkg-python

Package: python3-scapy
Architecture: all
Depends: netbase, ${misc:Depends}, ${python3:Depends}
Breaks: python-scapy (<< 2.4.3-3~)
Replaces: python-scapy (<< 2.4.3-3~)
Recommends: ipython3, libpcap0.8t64, python3-cryptography
Suggests: graphviz,
          python-scapy-doc,
          python3-matplotlib,
          python3-pyx,
          sox,
          tcpdump,
          tcpreplay,
          wireshark
Provides: scapy
Description: Packet generator/sniffer and network scanner/discovery (Python 3)
 Scapy is a powerful interactive packet manipulation tool, packet
 generator, network scanner, network discovery, packet sniffer, etc. It
 can for the moment replace hping, 85% of nmap, arpspoof, arp-sk, arping,
 tcpdump, tethereal, p0f, ....
 .
 In scapy you define a set of packets, then it sends them, receives
 answers, matches requests with answers and returns a list of packet couples
 (request, answer) and a list of unmatched packets. This has the big advantage
 over tools like nmap or hping that an answer is not reduced to
 (open/closed/filtered), but is the whole packet.
 .
 This package contains the Python 3 version of the library and scapy executable.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=scapy


%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_configure:
	echo -n $(DEB_VERSION_UPSTREAM) > scapy/VERSION

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r scapy/VERSION .tox scapy.egg-info

override_dh_auto_test:
	# disable tests: they required network
	echo "Tests disabled"

=== debian/tests/control ===
Tests: run-upstream-tests
Depends: libpcap0.8t64,
         netbase,
         python3-cryptography,
         python3-ipython,
         python3-mock,
         @
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/, \
dversionmangle=s/@DEB_EXT@//, \
repacksuffix=+dfsg" \
https://api.github.com/repos/secdev/scapy/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## scapy 2.5.0+git20240324.2b58b51+dfsg

=== debian/changelog ===
scapy (2.5.0+git20240324.2b58b51+dfsg-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Change libpcap0.8 to libpcap0.8t64 in Recommends and autopkgtest
      dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 15 Jun 2024 12:12:11 +0000

scapy (2.5.0+git20240324.2b58b51+dfsg-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * debian/copyright: Add .bat files to Files-Excluded.

  [ Carlos Henrique Lima Melara ]
  * New upstream version 2.5.0+git20240324.2b58b51+dfsg. (Closes: #1067409)
  * New upstream version 2.5.0+git20240319.f919a6a+dfsg.
  * debian/control:
      - Add myself as uploader.
      - Add pybuild-plugin-pyproject to Build-Depends.
      - Remove tox from Build-Depends as it's not needed.
  * debian/copyright:
      - Add other files from doc/ to Files-Excluded.
      - Remove copyright from deleted file (scapy/libs/six.py).
      - Sort everything.
      - Update packaging years and contact info.
      - Update upstream copyright stanzas.
  * debian/patches/:
      - Remove-resource-heavy-ISOTP-test.patch: remove. Incorporated upstream.
      - Remove-tests-dependent-on-non-free-data.patch: add new patch.
      - fix-typo-in-manpage.patch: remove. Incorporated upstream.
      - remove-failing-tests.patch: remove. Incorporated upstream.
  * debian/python3-scapy.manpages: install manpage.
  * debian/rules:
      - PEP440 only allows one + sign, so remove +dfsg from it.
      - Use printf instead of echo to print $(DEB_VERSION_UPSTREAM).
  * debian/tests/:
      - control:
          + Add smbclient to test dependencies.
          + Enable testing in all archs.
      - run-upstream-tests:
          + Correctly disable tests that need root.
          + Disable smbd (samba) tests.
          + Export HOME=$AUTOPKGTEST_TMP so tests pass.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 24 Mar 2024 19:47:37 -0300
 
 scapy (2.5.0+dfsg-2ubuntu1) noble; urgency=medium

  * Change libpcap0.8 to libpcap0.8t64 in Recommends and autopkgtest
    dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 12:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: scapy
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
+Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
+           Carlos Henrique Lima Melara <charlesmelara@riseup.net>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
-               tox
+               python3-setuptools
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/scapy

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,6 @@
          python3-cryptography,
          python3-ipython,
          python3-mock,
+         smbclient,
          @
 Restrictions: allow-stderr
-Architecture: amd64 arm64 ppc64el

## scapy 2.6.0+dfsg

=== debian/changelog ===
scapy (2.6.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: switch packaging branch's name to debian/latest.
  * debian/patches/:
      - Remove-tests-dependent-on-non-free-data.patch: refresh patch;
      - fix-arping-when-route-is-missing.patch: add patch cherry-picked from
        upstream;
      - fix-race-condition.patch: add patch cherry-picked from upstream;
      - fix-scapy-on-ipv6-disabled.patch: add patch cherry-picked from
        upstream;
      - try-cache-mkdir-in-XDG-handling.patch: add patch cherry-picked from
        upstream.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 20 Oct 2024 20:43:57 -0300

scapy (2.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.6.0+dfsg.
  * debian/copyright: update file with new upstream release information.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 29 Sep 2024 19:40:48 -0300

scapy (2.5.0+git20240324.2b58b51+dfsg-2) unstable; urgency=medium

  * d/control:
      - Depends on libpcap0.8t64 so it works on armhf and armel.
        Thanks to Graham Inggs. (Closes: #1073264)
      - bump Standards-Version to 4.7.0 - no changes needed.
  * debian/gbp.conf: add upstream-branch field.
  * debian/tests/control: Depends on @recommends@ instead of hard-coding
    recommended packages.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 23 Jun 2024 11:30:12 -0300

## scapy 2.6.1%2Bdfsg

=== debian/changelog ===
scapy (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.1+dfsg.
  * debian/copyright: update upstream copyright with additions from new release.
  * debian/patches/: delete patches available in new upstream release.
      - Remove-tests-dependent-on-non-free-data.patch: refresh.
      - fix-arping-when-route-is-missing.patch: delete.
      - fix-race-condition.patch: delete.
      - fix-scapy-on-ipv6-disabled.patch: delete.
      - try-cache-mkdir-in-XDG-handling.patch: delete.


 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 10 Nov 2024 16:21:08 -0300

## scapy 2.6.1+dfsg

=== debian/changelog ===
scapy (2.6.1+dfsg-2) experimental; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * autopkgtest does not need old "mock" anymore
  * remove the Breaks against the Python2 package in Buster

  [ Arthur Pilone ]
  * d/control: bump standards-version to 4.7.2

 -- Arthur Pilone <arthurpilone@usp.br>  Wed, 11 Jun 2025 19:09:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scapy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
            Carlos Henrique Lima Melara <charlesmelara@riseup.net>
 Section: python
@@ -11,7 +10,7 @@
                python3-all,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/scapy
 Vcs-Git: https://salsa.debian.org/pkg-security-team/scapy.git
 Homepage: https://scapy.net/
@@ -20,8 +19,6 @@
 Package: python3-scapy
 Architecture: all
 Depends: netbase, ${misc:Depends}, ${python3:Depends}
-Breaks: python-scapy (<< 2.4.3-3~)
-Replaces: python-scapy (<< 2.4.3-3~)
 Recommends: ipython3, libpcap0.8t64, python3-cryptography
 Suggests: graphviz,
           python-scapy-doc,

=== debian/tests/control ===
Tests: run-upstream-tests
Depends: @,
         @recommends@,
         netbase,
         smbclient,
Restrictions: allow-stderr

## scapy 2.7.0+dfsg

=== debian/changelog ===
scapy (2.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.7.0+dfsg.
  * d/control:
      - Bump stds-version to 4.7.3.
      - Drop Priority field.
  * d/copyright:
      - Update GPL-2 stanza to point to gnu.org instead of address.
      - Update packaging copyright years.
      - update with new upstream release data.
  * debian/patches/Remove-tests-dependent-on-non-free-data.patch: refresh
    patch.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Tue, 13 Jan 2026 22:59:35 -0300

scapy (2.6.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Re-Upload to Unstable after Trixie release
  * Drop "Rules-Requires-Root: no": it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 20:14:42 +0100

## scapy 2.7.0+dfsg1

=== debian/changelog ===
scapy (2.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.7.0+dfsg1.
  * debian/copyright: include raw_data folder since it is GPL-2.
  * debian/patches: remove the only patch, not needed anymore.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Thu, 29 Jan 2026 22:35:14 -0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
            Carlos Henrique Lima Melara <charlesmelara@riseup.net>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/scapy
 Vcs-Git: https://salsa.debian.org/pkg-security-team/scapy.git
 Homepage: https://scapy.net/

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=scapy


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_configure:
	printf "%s" $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' > scapy/VERSION

execute_after_dh_auto_clean:
	$(RM) -r scapy/VERSION .tox scapy.egg-info

override_dh_auto_test:
	# disable tests: they required network
	echo "Tests disabled"
